%define byaccdate 20230521

Summary: Berkeley Yacc, a parser generator
Name: byacc
Version: 2.0.%{byaccdate}
Release: 3%{?dist}
License: Public Domain
URL: http://invisible-island.net/byacc/byacc.html
Source: https://invisible-island.net/archives/byacc/byacc-%{byaccdate}.tgz

BuildRequires: make gcc

%description
This package provides a parser generator utility which consists of a set of LALR(1) parsing tables 
and a driver routine written in the C programming language.It reads a grammar specification from a 
file and generates an LR(1) parser for it, which you will want to install this package.

%prep
%autosetup -n byacc-%{byaccdate}

# Revert default stack size to 10000 # https://bugzilla.redhat.com/show_bug.cgi?id=743343
find . -type f -name \*.c -print0 | xargs -0 sed -i 's/YYSTACKSIZE 500/YYSTACKSIZE 10000/g'

%build
%configure --disable-dependency-tracking
%make_build

%install
%make_install
ln -s yacc %{buildroot}%{_bindir}/byacc
ln -s yacc.1 %{buildroot}%{_mandir}/man1/byacc.1

%check
make check

%files
%license LICENSE
%doc ACKNOWLEDGEMENTS CHANGES NEW_FEATURES NOTES NO_WARRANTY README
%{_bindir}/yacc
%{_bindir}/byacc
%{_mandir}/man1/yacc.1*
%{_mandir}/man1/byacc.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.20230521-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.20230521-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Shuo Wang <abushwang@tencent.com> - 2.0.20230521-1
- update to 2.0.20230521

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.20210808-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.20210808-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 2.0.20210808-1
- package init.
